<template>
  <div>
      <b-container>
    <b-table responsive striped hover :items="items" :fields="fields"></b-table>
    </b-container>
  </div>
</template>

<script>
import firebase from "firebase";
export default {
  data() {
    return {
      // Note `isActive` is left out and will not appear in the rendered table
      fields: ["usuario", "pelicula", "total_pagado", "fecha", "id_pelicua"],
      items: []
    };
  },
  async created() {
    var db = firebase.firestore();
    var idRefClient = db.collection("sales");
    try {
      var stat = false;
      const snapshot = await idRefClient.get();

      snapshot.forEach(doc => {

          console.log('chack ',doc.data())
          this.items.push(doc.data())
                console.log('wea',this.items);
      });
    } catch (error) {
      console.log("Error getting documents", error);
    }
  }
};
</script>